## GoaTodo GoaTodo — Generated C code for the org.gnome.OnlineAccounts.Todo D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_todo_interface_info ()
guint | goa_todo_override_properties ()

## Types and Values

| GoaTodo
struct | GoaTodoIface
struct | GoaTodoProxy
struct | GoaTodoProxyClass
struct | GoaTodoSkeleton
struct | GoaTodoSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaTodo
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaTodoSkeleton
        ╰── GDBusProxy
            ╰── GoaTodoProxy

## Prerequisites

GoaTodo requires GObject.

## Implemented Interfaces

GoaTodoProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaTodo.

GoaTodoSkeleton implements GDBusInterface and GoaTodo.

## Known Implementations

GoaTodo is implemented by GoaTodoProxy and GoaTodoSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Todo D-Bus interface in C.

## Functions

### goa_todo_interface_info ()

    GDBusInterfaceInfo *
    goa_todo_interface_info (void);

`goa_todo_interface_info` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Gets a machine-readable description of the org.gnome.OnlineAccounts.Todo D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.26.0

### goa_todo_override_properties ()

    guint
    goa_todo_override_properties (GObjectClass *klass,
                                  guint property_id_begin);

`goa_todo_override_properties` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Overrides all GObject properties in the GoaTodo interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.26.0

## Types and Values

### GoaTodo

    typedef struct _GoaTodo GoaTodo;

`GoaTodo` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Todo.

Since: 3.26.0

### struct GoaTodoIface

    struct GoaTodoIface {
      GTypeInterface parent_iface;
    };

`GoaTodoIface` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Todo.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 3.26.0

### struct GoaTodoProxy

    struct GoaTodoProxy;

`GoaTodoProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaTodoProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.26.0

### struct GoaTodoProxyClass

    struct GoaTodoProxyClass {
      GDBusProxyClass parent_class;
    };

`GoaTodoProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaTodoProxy.

#### Members

Since: 3.26.0

### struct GoaTodoSkeleton

    struct GoaTodoSkeleton;

`GoaTodoSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaTodoSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.26.0

### struct GoaTodoSkeletonClass

    struct GoaTodoSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`GoaTodoSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaTodoSkeleton.

#### Members

Since: 3.26.0